=== debian/changelog ===
ros-kinetic-robotis-device (0.2.9-0xenial) xenial; urgency=high

  * modified to prevent duplicate indirect address write
  * fixed a bug that occure when handling bulk read item that does not exist
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Wed, 21 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.8-0xenial) xenial; urgency=high

  * added RH-P12-RN.device file
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.7-0xenial) xenial; urgency=high

  * fixed a bug that occur when handling bulk read item that does not exist
  * changed the License and package format to version 2
  * Contributors: SCH, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.6-0xenial) xenial; urgency=high

  * OpenCR control table item name changed. (torque_enable -> dynamixel_power)
  * fixed to not update update_time_stamp_ if bulk read fails.
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.5-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.4-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 06 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.3-0xenial) xenial; urgency=high

  * updated the cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.2-0xenial) xenial; urgency=high

  * added a deivce: OpenCR
  * changed to read control cycle from .robot file
  * Contributors: Zerom, Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.1-0xenial) xenial; urgency=high

  * Merge the changes and update
  * mode change debugging
  * 
    
      * convertRadian2Value / convertValue2Radian : commented out the code that limits the maximum/minimum value.
    
  * 
    
      * modified dependency problem.
    
  * Contributors: Jay Song, Pyo, Zerom, SCH

 -- Pyo <pyo@robotis.com>  Tue, 22 Nov 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.2.0-0xenial) xenial; urgency=high

  * bug fixed (position pid gain & velocity pid gain sync write).
  * added velocity_to_value_ratio to DXL Pro-H series.
  * added velocity p/i/d gain and position i/d gain sync_write code.
  * fixed robotis_device build_depend.
  * added XM-430-W210 / XM-430-W350 device file.
  * rename (present_current_ -> present_torque_)
  * modified torque control code
  * added device file for MX-64 / MX-106
  * adjusted position min/max value. (MX-28, XM-430)
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.1.1-0xenial) xenial; urgency=high

  * updated the package information
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified the package information for release
  * develop branch -> master branch
  * Setting the license to BSD.
  * add SensorState
    add Singleton template
  * XM-430 / CM-740 device file added.
    Sensor device added.
  * modified.
  * variable name changed.
    ConvertRadian2Value / ConvertValue2Radian function bug fixed.
  * added code to support the gazebo simulator
  * renewal
  * Contributors: Zerom

 -- robotis <zerom@robotis.com>  Thu, 11 Aug 2016 15:00:00 -0000
